1 Reply Latest reply: Oct 3, 2012 3:07 AM by Austin Kinsella1
normandy1 Level 1 Level 1 (0 points)

my mail program says it cannot work with this version of mac OS X (1084/1085 Tried to open it in applications and it does not open I have version OS X 10.6.8